Subject: Re: bug#35592: Use display-buffer-in-direction for completion-like windows

From: Juri Linkov <[email-masked]>
Date: Sun, 19 May 2019 22:54:47 +0300

> I pushed to master the version you preferred.  Please have a look (in
> particular at the documentation).

Thanks!  It seems everything is fine.

>> There is also display-buffer--maybe-at-bottom, but I need help
>> from Martin because I don't understand how to replace
>> display-buffer--maybe-at-bottom using display-buffer-in-direction.
>
> What are you missing?  I suppose you'd just have to prepend an
> additional alist entry like (direction . bottom).

Do you mean that display-buffer--maybe-at-bottom should not be
obsoleted?  I.e. just to replace the call to display-buffer-at-bottom
in it with display-buffer-in-direction and that's all?

Also I noticed your comments about rewriting display-buffer-at-bottom.
Do you mean just to replace its body with the call to
display-buffer-in-direction, or obsolete it altogether and
replace all its uses with display-buffer-in-direction?